Page MenuHomePhabricator

Polish : Remove active border on search dismiss control for consistency on mobile
Closed, ResolvedPublic

Description

Mobile skin UI elements do not display the active border except Search dismiss, should be removed for consistency

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF changed Security from none to None.
Qgil triaged this task as Lowest priority.Nov 8 2014, 9:41 AM

I'm seeing this on all overlay buttons - edit cancel button for example.
These are also important for accessibility.
Can you clarify?

I believe @Mattflaschen said you can style active and focus separately, so focus can be available for accessibility purposes but it won't show when tapped (or clicked)

I just tried using VoiceOver to interact with the mobile site, it is basically impossible. It looks like it navigates between divs and behaves unexpectedly when moving between controls, content, links, etc.

According to http://www.paciellogroup.com/blog/2012/04/how-to-remove-css-outlines-in-an-accessible-manner/ you can tell the differnce between mouse and keyboard interactions, since VoiceOver doesn't rely on focus states (it draws its own) touch/mouse uses won't see the focus states with the linked code, and keyboard users will see it normally.

This should be beta in the alpha mode of the site.
I'm still not sure which elements are showing an active border that shouldn't - is it simply all overlay buttons?

I just confirmed that this is still visible on the non-beta site on-click (Active)

Question still remains - all buttons or just overlay buttons?

I will assume this is all buttons and write a patch..

Change 182382 had a related patch set uploaded (by Jdlrobson):
Remove outline on overlay buttons

https://gerrit.wikimedia.org/r/182382

Patch-For-Review

Change 182382 merged by jenkins-bot:
Remove outline on overlay buttons

https://gerrit.wikimedia.org/r/182382

phuedx added a subscriber: phuedx.Jan 5 2015, 10:54 AM

@Jdlrobson Is there a patch for all buttons or did you decide against it?

Jdlrobson closed this task as Resolved.Jan 5 2015, 5:18 PM

I just did this for overlay header buttons. I suggest Jared opens specific bugs if he sees this as a problem in any other places now this is live on beta labs.

@Jdlrobson which server can this be tested on?

As always beta labs. Usually these show up shortly after a merge (I forget how long this takes though).

Restricted Application added a project: Design. · View Herald TranscriptMar 7 2018, 4:28 AM